Subject: bug#70073: 29.3; Emacs-PGTK crashes upon marking some text inside emacs and then middle clicking outside of Emacs

From: Po Lu <[email-masked]>
Date: Sun, 05 May 2024 12:07:05 +0800

"Abraham S.A.H." <[email-masked]> writes:

> Xfce4 doesn't support Wayland. Even Their roadmap for supporting
> Wayland is exprimental.  
>
> I have exprimented the issue on Gnome, first.  Then reproduced it on
> Weston and Sway.  And reported.
>
> Then, I have reinstalled a new system only with Xfce4 and also Sway. 
> I test Emacs PGTK build on Swaya, at the moment.  But, use Emacs
> Athena on Xfce4.  Basically learning it in my spare time.  I found
> Emacs about a month ago.
>
> All this is on Arch not Fedora.--

Right.  I couldn't reproduce this on Fedora, neither with our Emacs 29.3
tarball nor with their downstream release.  Does your distributor apply
patches to their Emacs binaries or thereabouts?